Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.eventusermodel
Class XSSFSheetXMLHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class XSSFSheetXMLHandler

extends org.xml.sax.helpers.DefaultHandler

This class handles the processing of a sheet#.xml sheet part of a XSSF .xlsx file, and generates row and cell events for it.

Nested Class Summary
`static interface` | `XSSFSheetXMLHandler.SheetContentsHandler` You need to implement this to handle the results of the sheet parsing.
`static class` | `XSSFSheetXMLHandler.xssfDataType` These are the different kinds of cells we support.

Constructor Summary
`XSSFSheetXMLHandler(StylesTable styles, ReadOnlySharedStringsTable strings, XSSFSheetXMLHandler.SheetContentsHandler sheetContentsHandler, boolean formulasNotResults)` Accepts objects needed while parsing.
`XSSFSheetXMLHandler(StylesTable styles, ReadOnlySharedStringsTable strings, XSSFSheetXMLHandler.SheetContentsHandler sheetContentsHandler, org.apache.poi.ss.usermodel.DataFormatter dataFormatter, boolean formulasNotResults)` Accepts objects needed while parsing.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Captures characters only if a suitable element is open.
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String name)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFSheetXMLHandler

    public XSSFSheetXMLHandler(StylesTable styles,
                               ReadOnlySharedStringsTable strings,
                               XSSFSheetXMLHandler.SheetContentsHandler sheetContentsHandler,
                               org.apache.poi.ss.usermodel.DataFormatter dataFormatter,
                               boolean formulasNotResults)

  Accepts objects needed while parsing.

  Parameters:
    `styles` - Table of styles
    `strings` - Table of shared strings

### XSSFSheetXMLHandler

    public XSSFSheetXMLHandler(StylesTable styles,
                               ReadOnlySharedStringsTable strings,
                               XSSFSheetXMLHandler.SheetContentsHandler sheetContentsHandler,
                               boolean formulasNotResults)

  Accepts objects needed while parsing.

  Parameters:
    `styles` - Table of styles
    `strings` - Table of shared strings

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String name,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Captures characters only if a suitable element is open. Originally was just "v"; extended for inlineStr also.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD